		    a2ps README

           (or PRINTME if a2ps runs fine :)


Please send problem reports to bug-a2ps@gnu.org.  Ask questions on
a2ps@gnu.org.  Submit changes on a2ps-patches@gnu.org.

GNU a2ps is an Any to PostScript filter.  Of course it processes plain
text files, but also pretty prints quite a few popular languages.

Its slogan is precisely "Do The Right Thing", which means that
though it is highly configurable, everything was made so that a novice
user can do complicated PostScript manipulations.  For instance, it
has the ability to delegate the processing of some files to other
filters (such as groff, texi2dvi, dvips, gzip etc.), what allows a
uniform treatment (n-up, page selection, duplex etc.) of heterogeneous
files.


Contents:
=========

1. Installation
2. Distribution content
3. More?


1. Installation
===============

*NOTE* If you are installing from a git clone, see README-git.

The following dependencies are required to build a2ps:

  - BDW GC (libgc): https://www.hboehm.info/gc
  - libpaper: https://github.com/rrthomas/libpaper
  - help2man: https://www.gnu.org/software/help2man

The following dependencies are highly recommended:

  - psutils: https://github.com/rrthomas/psutils
  - GNU roff: https://www.gnu.org/software/groff

Most of the work for the installation is done by ./configure.  If you
never ever read the file `INSTALL', then you really should do it
*now*.

Some key options for ./configure are:

    --disable-nls
    	if you do not want to use Native Language Support
    	(i.e. the ability to speak another tongue than English)
    --with-gnu-gettext
    	if you want to use the GNU gettext library for
    	NLS, instead of available NLS services.  I recommend it.
    --without-extensions
    	Fewer files will get installed.  a2ps is still usable
    	for Western Europe and American.  You should avoid unless
    	you are really short on disk.  This does not imply
    	--disable-nls, you have to add it yourself.

The following choices *are not irreversible*.  They just correspond to
settings in the file etc/a2ps-site.cfg:

    --with-encoding=ENCODING
    	define the default encoding (ascii, latin1..., latin6,
    	hp, mac, ibmpc, pcg, cp1250).

Note (for novices). If you are not root, you should give
./configure the option --prefix=$HOME to be able to install.

Remember that `make install' is mandatory for a2ps to work correctly.
Once the `make install' is done, you may remove the build directory (the
one which has been extracted from the .gz, which you can also remove,
BTW).


2. Distribution content
=======================

Some interesting files/directories you might want to look at are:

README		This file
README-git	Instructions for installing directly from git
INSTALL		Information on the installation process
ABOUT_NLS	A presentation of GNU's Native Language Support
		project
TODO		Some things to be done
afm/		Files that describe the width of the chars of a font
doc/		The whole documentation
encoding/	Description of the encodings.
etc/a2ps_cfg	The default configuration (after configure/make)
po/		Files for the translation
sheets/		Style sheets for pretty printing support
tests/          Sanity checks of a2ps
contrib/emacs/	Useful emacs files for a2ps
ogonkify/	The full distribution of the fantastic
		ogonkify package, that fixes a font designed for
		Latin1 so that other Latin encodings are supported.


3. More?
========

a2ps has a home page where the latest version may be found.

	https://www.gnu.org/software/a2ps/

There, you will also find the documentation in various formats.

Bug reports should be sent to bug-a2ps@gnu.org

There is also a mailing list, to subscribe please see

	https://lists.gnu.org/mailman/listinfo/a2ps

*NOTE* The mailing list is for discussion about a2ps, and for
announcements.

Local Variables:
mode: indented-text
End:
